/* flaneth - flash and ethernet
   Copyright (C) 2007-2012 Stefan Schuermans <stefan@schuermans.info>
   Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
   a BlinkenArea project - http://www.blinkenarea.org/ */

#include <avr/io.h>
#include <avr/wdt.h>

#include "ser115200.h"

// initialize
void Ser115200Init(void) // (extern)
{
  DDRD |= 1 << 3;
  PORTD |= 1 << 3;
}

// send data with 115200 baud in 8N1 protocol
void Ser115200Send(unsigned char *ptr, unsigned short len)
{
  while (len > 0) {
    wdt_reset();
    Ser115200Out(*ptr);
    ++ptr;
    --len;
  }
}

